<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Router;

enum Method {
    case GET;
    case POST;

    // Fallback method
    case UNKNOWN;

    public static function from(string $str) : self
    {
        switch ($str)
        {
            case "GET": return Method::GET;
            case "POST": return Method::POST;
            default: return METHOD::UNKNOWN;
        }
    }
};