<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Models;

class Webmention {
    function __construct(
        public ?int $id,
        public string $target, // The target post
        public string $source,
        public MentionType $type,
        public ?string $content,
        public ?string $author, // TODO: Should be reference to another model
    )
    {}

    public function __toString() {
        return "Webmention (id: {$this->id}, target: {$this->target}, source: {$this->source}, content: {$this->content}, author: {$this->author})";
    }
}
?>
